/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.client.internal.SaveRunnable"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$

(function() {
	
var Assert							= com.ibm.team.apt.web.ui.internal.common.Assert;

dojo.declare("com.ibm.team.apt.web.client.internal.SaveRunnable", //$NON-NLS-1$
			 null, {

	save: function(successCallback, failureCallback) {
		Assert.isTrue(false, "subclass must implement SaveRunnable#save()"); //$NON-NLS-1$
	},
	
	undo: function() {
		Assert.isTrue(false, "subclass must implement SaveRunnable#undo()"); //$NON-NLS-1$
	},
	
	canMergeWith: function(runner) {
		return false;
	},
	
	mergeWith: function(runner) {
	},

	__sentinel: null // terminates this class definition
});

})();