/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.common.Literal"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.workitem.common.Literal", null, { //$NON-NLS-1$

	__sequenceValue: null,

	constructor: function(literal) {
		this.itemId= literal.itemId;
		this.itemType= literal.itemType;
		this.label= literal.label;
		this.iconURL= literal.iconURL;
		this.__sequenceValue= literal.sequenceValue;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	itemId: null,
	itemType: null,
	label: null,
	iconURL: null,
	
	equals: function(other) {
		if (this === other)
			return true;

		if (this.declaredClass !== other.declaredClass)
			return false;
		
		return this.itemId == other.itemId;
	},

	compareTo: function(other) {
		return this.__sequenceValue - other.__sequenceValue;
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});


})();
