/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.dashboard.web.ui.IMemento");

(function() {

/*
 * An interface to a persistent memento that can be used to persist state
 * information.
 * 
 * PROVISIONAL: This API is considered provisional and may be changed or removed in the
 * future with minimal or no warning.
 * 
 * @since 0.6
 */
dojo.declare("com.ibm.team.dashboard.web.ui.IMemento",
	null, {
	
	/*
	 * Returns the object or primitive stored under the given key for this
	 * memento, or undefined if there is none.
	 */
	/* object or primitive */ get: function(/* string */ key) {
	},
	
	/*
	 * Stores the given value under the given key in this memento.
	 */
	set: function(/* string */ key, /* object or primative */ value) {
	}
});

})();