﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
class GridData {

	public var startX:Number;
	public var startY:Number;
	public var hTickOffsetX:Number;
	public var hTickOffsetY:Number;
	public var yZeroPosition:Number;
	public var xZeroPosition:Number;
	public var height:Number;
	public var width:Number;
	public var max:Number;
	public var yAxisSectionCount:Number;
	public var yAxisSpacing:Number;
	public var yAxisIncrement:Number;
	public var xAxisSectionCount:Number;
	public var xAxisSpacing:Number;
	public var xAxisIncrement:Number;
	public var xAxisMaxLabelWidth:Number;
	public var yAxisMaxLabelWidth:Number;
	public var graphAreaWidth:Number;
	public var graphAreaHeight:Number;
	
	
	public function GridData() {
		// NO-OP
	}

	public function destroy():Void {
		// TODO: Make interface method?	
		delete this.startX;
		delete this.startY;
		delete this.hTickOffsetX;
		delete this.hTickOffsetY;
		delete this.yZeroPosition;
		delete this.xZeroPosition;
		delete this.height;
		delete this.width;
		delete this.max;
		delete this.yAxisSectionCount;
		delete this.yAxisSpacing;
		delete this.yAxisIncrement;
		delete this.xAxisSectionCount;
		delete this.xAxisSpacing;
		delete this.xAxisIncrement;
		delete this.xAxisMaxLabelWidth;
		delete this.yAxisMaxLabelWidth;
		delete this.graphAreaWidth;
		delete this.graphAreaHeight;

	}		
	
}