﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
class LayoutObject extends ChartObject implements ILayoutObject {
	
	public var startX:Number;

	public var startY:Number;

	public var width:Number;

	public var height:Number;
	
	
	public function LayoutObject() {
		super();
	}	
	
	public function getPreferredWidth():Number {
		return 0;
	}
	
	public function getPreferredHeight():Number {
		return 0;
	}
	
	public function setStartX(startX:Number):Void {
		this.startX = startX;
	}
	
	public function setStartY(startY:Number):Void {
		this.startY = startY;
	}
	
	public function setWidth(width:Number):Void {
		this.width = width;
	}

	public function setHeight(height:Number):Void {
		this.height = height;
	}

	public function getStartX():Number {
		return this.startX;
	}
	
	public function getStartY():Number {
		return this.startY;
	}
	
	public function getWidth():Number {
		return this.width;
	}

	public function getHeight():Number {
		return this.height;
	}
	
	public function destroy():Void {
		
		delete this.startX;
		delete this.startY;
		delete this.width;
		delete this.height;
		
		super.destroy();
	}		
	
}