/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.client.PlanningAttributeValueSet"); //$NON-NLS-1$

(function() {
	

dojo.declare("com.ibm.team.apt.client.PlanningAttributeValueSet", null, { //$NON-NLS-1$
	
	constructor: function(values, nullValue) {
		this.values= values;
		this.nullValue= nullValue;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	values: null,
	nullValue: undefined,

	byId: function(itemId) {
		for (var i= 0; i < this.values.length; i++) {
			if (this.values[i].itemId == itemId) {
				return this.values[i];
			}
		}
		return null;
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

com.ibm.team.apt.client.PlanningAttributeValueSet.EMPTY= new com.ibm.team.apt.client.PlanningAttributeValueSet([], null);

})();
